Bug 4208 - Need an easier way to build SVG build-webkit-svg?
Summary: Need an easier way to build SVG build-webkit-svg?
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 420+
Hardware: Mac OS X 10.4
: P4 Normal
Assignee: Eric Seidel (no email)
URL:
Keywords:
Depends on: 4234
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-29 13:56 PDT by Eric Seidel (no email)
Modified: 2005-07-31 13:24 PDT (History)
0 users

See Also:


Attachments
new scripts: build-drawtest, build-svg2png, build-webcore-svg, run-drawtest (10.39 KB, patch)
2005-07-30 16:22 PDT, Eric Seidel (no email)
no flags Details | Formatted Diff | Diff
new scripts: build-drawtest, build-svg2png, build-webcore-svg, run-drawtest (10.42 KB, patch)
2005-07-31 03:21 PDT, Eric Seidel (no email)
hyatt: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2005-07-29 13:56:57 PDT
Need an easier way to build SVG build-webkit-svg?

Currently SVG building is way too involved.  Requires using Xcode, requires building to a common build 
directory, etc.  This should be much simpler.
Comment 1 Eric Seidel (no email) 2005-07-30 16:22:36 PDT
Created attachment 3159 [details]
new scripts: build-drawtest, build-svg2png, build-webcore-svg, run-drawtest
Comment 2 Eric Seidel (no email) 2005-07-31 03:21:12 PDT
Created attachment 3172 [details]
new scripts: build-drawtest, build-svg2png, build-webcore-svg, run-drawtest

Attached new scripts which fixed typos in build-webcore-svg and run-drawtest
Comment 3 Dave Hyatt 2005-07-31 13:00:19 PDT
Comment on attachment 3172 [details]
new scripts: build-drawtest, build-svg2png, build-webcore-svg, run-drawtest

r=me